
From: "Protasevich, Natalie" <Natalie.Protasevich@UNISYS.com>

This is ES7000 sub arch update.  The tiny patch below fixes a bug that
results in boot problem on all ES7000 partitions with numbers higher than
0.  Currently, target_cpus() returns incorrect cpumask value since it
indexes bits by the logical APIC ID, not by CPU number.  The patch affects
only ES7000 sub arch.  It was tested extensively on the system with
multiple partitions.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-i386/mach-es7000/mach_apic.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-i386/mach-es7000/mach_apic.h~es7000-subarch-update-for-target_cpus include/asm-i386/mach-es7000/mach_apic.h
--- 25/include/asm-i386/mach-es7000/mach_apic.h~es7000-subarch-update-for-target_cpus	2004-06-29 22:53:25.796745080 -0700
+++ 25-akpm/include/asm-i386/mach-es7000/mach_apic.h	2004-06-29 22:53:25.800744472 -0700
@@ -16,7 +16,7 @@ static inline cpumask_t target_cpus(void
 #if defined CONFIG_ES7000_CLUSTERED_APIC
 	return CPU_MASK_ALL;
 #else
-	return cpumask_of_cpu(bios_cpu_apicid[smp_processor_id()]);
+	return cpumask_of_cpu(smp_processor_id());
 #endif
 }
 #define TARGET_CPUS	(target_cpus())
_
